﻿Type=StaticCode
Version=1.80
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'Declare a type Task
	'@members
	'Time - Amount of time to perform this task
	'TaskTimer - Timer for this task
	'Notification when this task starts
	Type Task (Time As Int,TaskTimer As Timer,Notification1 As Notification)
	
	'Declare a State Type
	'@members
	'TimeCount - Keeps track of time passed
	'ButtonState - Keeps track of the button Status
	'LabelStatus - Keeps track of label status
	Type State (TimeCount As Int,ButtonState As String,LabelState As String,TimerState As String)
	
	'Tasks to be performed
	Dim Work As Task
	Dim Break As Task
	
	'Holds the current state of application
	Dim CurrentState As State
	
	'Intialize the types
	Work.Initialize
	'Intializie the work Notification
	Work.Notification1.Initialize
	Work.Notification1.Icon = "icon"
	
	
	Break.Initialize
	'Intialize the break notofication
	Break.Notification1.Initialize
	Break.Notification1.Icon = "icon"
	
	CurrentState.Initialize
	
End Sub

'Method to Update Time at regular intervals
'@Params
'TimeLabel - Label to Update time on
'Value - Value to update
Sub UpdateTime(TimeLabel As Label,Value As Int)
	'Update the Time Label To given Value
	TimeLabel.Text = Value
End Sub

'Method to Start the Work Timer
'@params
'Time - Time to work
'EventName - Name of the Event for Work Timer
Sub StartWork(Time As Int,EventName As String)
	CurrentState.TimeCount = 0							'reset the counted time back to zero
	CurrentState.TimerState = "Working"
	
	Work.Time = Time
	Work.TaskTimer.Initialize(EventName,1000)
	Work.TaskTimer.Enabled = True
	
	Work.Notification1.SetInfo("Work Started","Work Timer Running",Main2)
	Work.Notification1.OnGoingEvent = True
	Work.Notification1.Notify(1)
	Log("*************")
	Log("Work Started")
	Log("*************")
End Sub



'Method to stop the WorkTimer
Sub StopWork
	Work.TaskTimer.Enabled = False
	CurrentState.TimeCount = 0       'Reset the counted time back to zero
	CurrentState.TimerState = "Work Stopped"
	
	Log("Current State = "&CurrentState.TimeCount) 
	Work.Notification1.SetInfo("Work Stopped","Work Timer has been stopped",Main2)
	Work.Notification1.OnGoingEvent = False
	Work.Notification1.Notify(1)
	Log("*************")
	Log("Work Stopped")			
	Log("*************")
End Sub

'Method to Start the BreakTimer
'Time - Time to work
'EventName - Name of the Event for Work Timer
Sub StartBreak(Time As Int,EventName As String)
	CurrentState.TimeCount = 0
	CurrentState.TimerState = "Breaking"
	
	Break.Time = Time
	Break.TaskTimer.Initialize(EventName,1000)
	Break.TaskTimer.Enabled = True
	
	Break.Notification1.SetInfo("Break Started","Break Timer Running",Main2)
	Break.Notification1.OnGoingEvent = True
	Break.Notification1.Notify(1)
	Log("*************")
	Log("Break Started")
End Sub

Sub StopBreak
	Break.TaskTimer.Enabled = False
	CurrentState.TimeCount = 0
	CurrentState.TimerState = "Breaked"
	
	Break.Notification1.SetInfo("Break Stopped","Break Timer has been Stopped",Main2)
	Break.Notification1.OnGoingEvent = False
	Break.Notification1.Notify(1)
	Log("*************")
	Log("Break Stopped")
End Sub




	
	
	